#
# spec file for package python-azure-mgmt-media
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-media
Version:        1.0.0rc2
Release:        lp152.2.3
Summary:        Microsoft Azure Media Services Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-media/azure-mgmt-media-%{version}.zip
Source1:        LICENSE.txt
Patch1:         amm_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module azure-mgmt-nspkg}
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-mgmt-nspkg
Requires:       python-azure-nspkg
Requires:       python-msrestazure < 2.0.0
Requires:       python-msrestazure >= 0.4.32
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Media Services Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-media-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-media-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/mgmt/media
%{python_sitelib}/azure_mgmt_media-*.egg-info

%changelog
* Tue Sep  4 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.0.0rc2
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Move LICENSE.txt from %%doc to %%license section
- Refresh patches for new version
  + amm_drop-compatible-releases-operator.patch
- Remove references to test files from spec file
- Update Requires from setup.py
- Update Summary and %%description from setup.py
* Tue Jan 30 2018 adrian.glaubitz@suse.com
- Install HISTORY.rst into doc directory
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.2.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + amm_drop-compatible-releases-operator.patch
- Drop obsolete patches
  + amm_add-missing-init.patch
  + amm_relax-requires.patch
- Remove versioning for namespace packages in Requires
- Update Requires from setup.py
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Wed Aug  9 2017 rjschwei@suse.com
- Fix source URL
* Fri Jul 14 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
- Add python-azure-mgmt-nspkg to Requires
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.1.1
- Add patch to add missing __init__.py to create azure and
  azure.mgmt namespaces during build
  + amm_add-missing-init.patch
- Add patch to relax version requirement on azure-common
  + amm_relax-requires.patch
